Creates a department in the authenticated organization.
/api/departmentsCreates a department in the authenticated organization. Admin access and the departments feature are required. Department names and slugs must be unique within the organization. isDefault defaults to false.
Bearer API key or X-API-Key header.departments:writeautomation_api)application/json
TypeScript Definitions
Use the request body type in TypeScript.
Request body accepted by this operation.
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"orgId": "11111111-1111-4111-8111-111111111111",
"name": "Billing",
"slug": "billing",
"description": "Handles invoices and payments.",
"isDefault": false,
"locale": "en",
"fallbackUsed": true,
"translations": [
{
"id": "11111111-1111-4111-8111-111111111111",
"locale": "en",
"status": "draft",
"sourceLocale": "en",
"machineTranslatedAt": "2026-08-04T10:00:00.000Z",
"reviewedAt": "2026-08-04T10:00:00.000Z",
"reviewedBy": "example",
"name": "Example name",
"description": "example",
"createdAt": "2026-08-04T10:00:00.000Z",
"updatedAt": "2026-08-04T10:00:00.000Z"
}
],
"createdAt": "2026-06-23T08:00:00.000Z",
"updatedAt": "2026-06-23T08:00:00.000Z"
}{
"error": {
"code": "string",
"message": "string",
"fields": {
"property1": "string",
"property2": "string"
},
"details": {},
"correlationId": "string"
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Authentication is required.",
"correlationId": "req_01K0MANAGEMENT401"
}
}{
"error": {
"code": "INTEGRATION_MODULE_REQUIRED",
"message": "The automation API module is required.",
"details": {
"module": "automation_api",
"feature": "public_api"
},
"correlationId": "req_01K0MANAGEMENT402"
}
}{
"error": {
"code": "FORBIDDEN",
"message": "The caller lacks the required role or API-key scope.",
"correlationId": "req_01K0MANAGEMENT403"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "The requested resource was not found.",
"correlationId": "req_01K0MANAGEMENT404"
}
}{
"error": {
"code": "CONFLICT",
"message": "The requested change conflicts with current resource state.",
"correlationId": "req_01K0MANAGEMENT409"
}
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "The request payload is invalid.",
"details": {
"field": "name"
},
"correlationId": "req_01K0MANAGEMENT422"
}
}{
"error": {
"code": "RATE_LIMITED",
"message": "Too many requests.",
"correlationId": "req_01K0MANAGEMENT429"
}
}{
"error": {
"code": "string",
"message": "string",
"fields": {
"property1": "string",
"property2": "string"
},
"details": {},
"correlationId": "string"
}
}curl --request POST \
'https://api.convor.io/api/departments' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer convor_sk_...' \
--header 'Content-Type: application/json' \
--data '{
"slug": "billing",
"isDefault": false,
"translations": [
{
"locale": "en",
"status": "published",
"name": "Billing",
"description": "Handles invoices and payments."
}
]
}'const response = await fetch("https://api.convor.io/api/departments", {
method: "POST",
headers: {
"Accept": "application/json",
"Authorization": "Bearer convor_sk_...",
"Content-Type": "application/json"
},
body: JSON.stringify({
"slug": "billing",
"isDefault": false,
"translations": [
{
"locale": "en",
"status": "published",
"name": "Billing",
"description": "Handles invoices and payments."
}
]
}),
});
const contentType = response.headers.get("content-type") ?? "";
const data = response.status === 204
? null
: contentType.includes("json")
? await response.json()
: contentType.startsWith("text/")
? await response.text()
: await response.blob();
if (!response.ok) {
const message = typeof data === "object" && data !== null
&& "error" in data && typeof data.error === "object"
&& data.error !== null && "message" in data.error
? String(data.error.message)
: "Convor API request failed (" + response.status + ")";
throw new Error(message);
}
console.log(data);Was this page helpful?
URL-safe identifier.
Whether the resource is default.
Localized variants for this resource.